import m from "./index-toInteger.js";
import f from "./index-toDate.js";
import i from "./index-getUTCISOWeek.js";
import s from "./index-requiredArgs.js";
function d(t, r) {
  s(2, arguments);
  var e = f(t), o = m(r), a = i(e) - o;
  return e.setUTCDate(e.getUTCDate() - a * 7), e;
}
export {
  d as default
};
